PSPAX(1)

NAME
pspax - list ELF/PaX information about running processes

SYNOPSIS

pspax [options] ELFs

DESCRIPTION

pspax is a user-space utility that scans the proc directory and list ELF types, as well as their respective PaX flags and filenames and attributes. Depending on build options, it may additionally display the process running set of capabilities.

OPTIONS

-a, --all
    Show all processes

-e, --header
    Print GNU_STACK/PT_LOAD markings

-i, --ipaddr
    Print ipaddr info if supported

-p, --pid PID
    Only process specified process id

-u, --user UID
    Process user/uid #

-g, --group GID
    Process group/gid #

-n, --nx
    Only display w^x processes

-w, --wx
    Only display w|x processes

-v, --verbose
    Be verbose (can be used more than once)

-B, --nobanner
    Don't display the header

-h, --help
    Show condensed usage and exit

-V, --version
    Print version and exit

HOMEPAGE

http://hardened.gentoo.org/pax-utils.xml

REPORTING BUGS

Please include as much information as possible (using any available debugging options) and send bug reports to the maintainers (see the AUTHORS section). Please use the Gentoo bugzilla at http://bugs.gentoo.org/ if possible.

SEE ALSO

chpax(1), dumpelf(1), paxctl(1), pspax(1), readelf(1), scanelf(1), elf(5)

AUTHORS

Ned Ludd <solar@gentoo.org>
    Maintainer

Mike Frysinger <vapier@gentoo.org>
    Maintainer

Fabian Groffen <grobian@gentoo.org>
    Mach-O Maintainer

NOTES

1.  http://hardened.gentoo.org/pax-utils.xml

2.  http://bugs.gentoo.org/